Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.client.remote
Class SQLValueImpl

`java.lang.Object
oracle.jbo.client.remote.SQLValueImpl`

All Implemented Interfaces:
  DomainInterface

public class SQLValueImpl
extends java.lang.Object
implements DomainInterface

Constructor Summary
`SQLValueImpl()`
`SQLValueImpl(java.lang.String stmt, ApplicationModule am)`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`java.lang.Object` | `getData()` Internal: Applications should not use this method.
`int` | `hashCode()`
`void` | `setContext(DomainOwnerInterface owner, Transaction trans, java.lang.Object ctx)` Internal: Applications should not use this method.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SQLValueImpl

    public SQLValueImpl()

### SQLValueImpl

    public SQLValueImpl(java.lang.String stmt,
                        ApplicationModule am)

Method Detail

### getData

    public java.lang.Object getData()

  Description copied from interface: `DomainInterface`
  Internal: Applications should not use this method.

  Returns the value in the format that is acceptable to the database.

  For domain classes based on `oracle.sql.*` classes, this method returns a `Datum` object. For domains based on `java.lang` types such as `String`, the value-holder object that is passed to JDBC is returned.

  Specified by:
    `getData` in interface `DomainInterface`
  Returns:
    a formatted value object.

### setContext

    public void setContext(DomainOwnerInterface owner,
                           Transaction trans,
                           java.lang.Object ctx)

  Description copied from interface: `DomainInterface`
  Internal: Applications should not use this method.
  Specified by:
    `setContext` in interface `DomainInterface`

### toString

    public java.lang.String toString()

### equals

    public boolean equals(java.lang.Object other)

### hashCode

    public int hashCode()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.